get_filename_component(PackageName ${CMAKE_CURRENT_SOURCE_DIR} NAME)
project(${PackageName})

set(PublicDependencies
        SQLite::SQLite3)
set(PrivateDependencies)
set(BigfootPublicDependencies
        System
        Utils)
set(BigfootPrivateDependencies)

set(BIGFOOT_MAJOR 0)
set(BIGFOOT_MINOR 1)
set(BIGFOOT_PATCH 0)
set(BIGFOOT_NAME "Bigfoot")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Include/Engine/EngineInfo_generated.hpp.in ${CMAKE_CURRENT_SOURCE_DIR}/Include/Engine/EngineInfo_generated.hpp @ONLY)

bigfoot_create_logger()

bigfoot_create_package_lib(
    "${PublicDependencies}"
    "${PrivateDependencies}"
    "${BigfootPublicDependencies}"
    "${BigfootPrivateDependencies}"
    "")